.checkboxBlock {
    margin: 10px auto 0;
    display: flex;
    gap: 5px;
    cursor: pointer;
    justify-content: center;

    .checkItem {
        flex: 0 0 auto;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 22px;
        height: 22px;
        border: 1px solid rgb(249, 124, 47);
        border-radius: 3px;
        transition: 0.3s;

        &::before {
            content: '';
            width: 14px;
            height: 14px;
            border: 1px solid transparent;
            border-radius: 0;
            background-color: transparent;
            transition: 0.3s;
        }
    }

    input[type="checkbox"] {
        display: none;
    }

    input[type="checkbox"]:checked~.checkItem {
        border-color: rgb(249, 124, 47);
        opacity: 1;

        &::before {
            border-color: rgb(249, 124, 47);
            background-color: rgb(249, 124, 47);
        }
    }

    .checkText {
        margin: 2px 0 0;
        font-size: 12px;
        line-height: normal;
        color: white;

        a {
            color: rgb(249, 124, 47);
            text-decoration: underline;
            transition: 0.3s;

            &:hover {
                color: rgb(249, 124, 47);
                text-decoration: none;
                text-decoration: underline;
            }
        }
    }

    &:hover {
        input[type="checkbox"]:not(:checked)~.checkItem {
            border-color: rgb(249, 124, 47);

            &::before {
                background-color: rgb(249, 124, 47);
            }
        }

        input[type="checkbox"]:checked~.checkItem {
            &::before {
                filter: brightness(1.2);
            }
        }
    }
}

.checkboxBlock.textBlack {
    .checkText {
        color: black;
    }
}

.checkboxBlock.backBlack {
    .checkText {
        padding: 5px;
        background-image: -webkit-linear-gradient(0deg, rgb(233, 72, 35) 0%, rgb(249, 124, 47) 48%, rgb(255, 194, 39) 100%);

        a {
            color: #eee;
        }
    }
}